﻿@using Microsoft.AspNetCore.Identity
@using RidePal.Data.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - RidePal</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark bg-transparent border-bottom box-shadow mb-3">
            <div class="container">
                <a asp-controller="Home" asp-action="Index"><img border="0" alt="" src="~/images/hands-on.png"> </a>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav">
                        @if (SignInManager.IsSignedIn(User))
                        {
                            <li class="nav-item">
                                <a id="manage" class="nav-link disabled" style="font-size:large">Hello, @UserManager.GetUserName(User)!</a>
                            </li>

                            @if (User.IsInRole("Admin"))
                            {
                                <li class="nav-item">
                                    <a class="btn btn-outline-warning" style="font-size:large" asp-area="" asp-controller="Admin" asp-action="Index">List users</a>
                                </li>
                                <li class="nav-item">
                                    <a class="btn btn-outline-warning" style="font-size:large; margin-left:5px" asp-area="" asp-controller="Admin" asp-action="Sync">Sync DataBase</a>
                                </li>
                            }
                            @if (User.IsInRole("User"))
                            {
                                <li class="nav-item">
                                    <a class="btn btn-outline-warning" style="font-size:large" asp-area="" asp-controller="UserPlaylist" asp-action="Index">My Playlists</a>
                                </li>
                            }
                        }
                    </ul>

                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="btn btn-outline-warning" style="font-size:large" asp-controller="Playlist" asp-action="Index">Playlists</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div>
                <ul class="navbar-nav">
                    @if (SignInManager.IsSignedIn(User))
                    {
                        <li class="nav-item">
                            <form id="logoutForm" class="form-inline" asp-area="Identity" asp-page="/Account/Logout"
                                  asp-route-returnUrl="@Url.Action("Index", "Home" , new { area="" })">
                                <button id="logout" type="submit" class="btn btn-outline-warning" style="font-size:large; border:none">Logout</button>
                            </form>
                        </li>
                    }
                    else
                    {
                        <li class="nav-item">
                            <a class="btn btn-outline-warning" style="font-size:large; border:none" id="register" asp-area="" asp-controller="Account" asp-action="Register">Register</a>
                        </li>
                        <li class="nav-item">
                            <a class="btn btn-outline-warning" style="font-size:large; border:none" id="login" asp-area="" asp-controller="Account" asp-action="Login">Login</a>
                        </li>
                    }
                </ul>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container" style="color:orange">
            <b> &copy; 2020 - RidePal </b>
            <a id="about" class="btn btn-outline-warning" style="font-size:large; border:none" asp-controller="Home" asp-action="AboutUs">About Us</a>
            <a id="about" class="btn btn-outline-warning" style="font-size:large; border:none" asp-controller="swagger" asp-action="index">API documentation</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>
